Recent Posts

Pages: 1 ... 8 9 [10]
91
Installation and Upgrades / Missing VPN config after upgrading to 8 (resolved)
« Last post by ggowins on April 12, 2024, 04:00:15 am »
I have a strange issue after upgrading.  Everything else looks to be fine after the upgrade, but in the console it says I have no servers or clients configured for the VPN.  But if I look on the filesystem in /etc/openvpn, I see the server and client I previously had configured.  I do have a backup from 7.1.1 I made just before the upgrade and can see the openvpn.bak folder in the backup file.  Is there a way to get Zentyal to recognize the files that are already there?
92
Installation and Upgrades / Re: Zentyal 8 breaks when trying to update packages
« Last post by cursor on April 11, 2024, 08:48:18 pm »
Thank you very much.  I did the modifications to /var/lib/dpkg/info/zentyal-core.postinst and now I can upgrade all packages without breaking my install.
93
Installation and Upgrades / Re: Upgrade from shell
« Last post by Daniel Joven on April 11, 2024, 03:40:39 pm »
Hi,

As you can see in the documentation, you can upgrade the Zentyal server through the CLI, see point 2 of the following link:

* https://doc.zentyal.org/en/upgrade.html#update

NOTE: A few issues were reported, I recommend you wait until the fix is released (zentyal-core 7.1.2).

Best regards, Daniel Joven.
94
Hi,

Did you try to fix the packages manually through CLI?

Code: [Select]
export DEBIAN_FRONTEND=noninteractive

dpkg --configure --force-confdef -a

unset DEBIAN_FRONTEND
NOTE: You must need to run the 'dpkg' command more than once.

If the error persists, analyze the output you get as well as the following log files:

- /var/log/zentyal/zentyal.log
- /var/log/syslog
- /var/log/dpkg.log

In case this server was upgraded from Zentyal 7.1, the issue might be caused by the following:

1. The file ‘/etc/apt/apt.conf.d/20auto-upgrades’ does not exist and because of this, the zentyal-core package cannot be configured and it blocks the rest of the packages.
   
    To fix this, edit the configuration file /var/lib/dpkg/info/zentyal-core.postinst and just apply the following fix:
   
    - https://github.com/zentyal/zentyal/commit/88a3414deefde4f7a629d0b0289348a464471788#diff-425f0921e7f356c2b4c325f6ce96d4efe02241140befe47a61a92741cb7ca24c

2. Mysql server is not running:
   
   
Code: [Select]
    sudo systemctl status mysql
   
   
    If it is stopped, you must run the following commands:
   
   
Code: [Select]
    mkdir /var/log/mysql/
    chown -R mysql:adm /var/log/mysql
    chmod -R 0770 /var/log/mysql
    systemctl restart mysql
   
   
If you applied any of the above two issues, you must run the mentioned commands at the beginning of this answer to fix all the packages.

Best regards, Daniel Joven.
95
Installation and Upgrades / Upgrade from shell
« Last post by barnum on April 11, 2024, 03:15:56 pm »
Hi All,

Is it possible to launch the upgrade 7.1.1 to 8.0 from shell instead of clicking on the "Upgrade Now" in the web interface ?

Thanks,
97
Installation and Upgrades / Re: Zentyal 8 breaks when trying to update packages
« Last post by cursor on April 10, 2024, 06:03:31 pm »
These are the results when the server is not broken (before trying to update via the web interface):

$ sudo dpkg -l | egrep "zen(tyal|buntu)-"
ii  zenbuntu-core                          8.0.0ubuntu1                                    all          Zentyal Environment for Ubuntu Server
ii  zenbuntu-desktop                       8.0.0ubuntu1                                    all          Zentyal Desktop Environment for Ubuntu Server
iF  zentyal-core                           8.0.0                                           all          Zentyal - Core
iU  zentyal-dns                            8.0.0                                           all          Zentyal - DNS Server
iU  zentyal-firewall                       8.0.0                                           all          Zentyal - Firewall
iU  zentyal-network                        8.0.2                                           all          Zentyal - Network Configuration
iU  zentyal-ntp                            8.0.0                                           all          Zentyal - NTP Service
iU  zentyal-radius                         8.0.0                                           all          Zentyal - RADIUS
iU  zentyal-samba                          8.0.0                                           all          Zentyal - Domain Controller and File Sharing
iU  zentyal-software                       8.0.0                                           all          Zentyal - Software Management

$ sudo apt update
Hit:1 https://download.docker.com/linux/ubuntu jammy InRelease                                                                                                             
Get:2 http://security.ubuntu.com/ubuntu jammy-security InRelease [110 kB]                                                                                                   
Hit:3 https://packages.mozilla.org/apt mozilla InRelease                                                                       
Hit:4 https://packages.zentyal.org/zentyal 8.0 InRelease                                       
Get:5 http://security.ubuntu.com/ubuntu jammy-security/main i386 Packages [444 kB]
Get:6 http://security.ubuntu.com/ubuntu jammy-security/main amd64 Packages [1,343 kB]
Hit:7 http://us.archive.ubuntu.com/ubuntu jammy InRelease
Get:8 http://us.archive.ubuntu.com/ubuntu jammy-updates InRelease [119 kB]
Hit:9 http://us.archive.ubuntu.com/ubuntu jammy-backports InRelease
Get:10 http://security.ubuntu.com/ubuntu jammy-security/main Translation-en [237 kB]                                                                                                                                                                                         
Get:11 http://security.ubuntu.com/ubuntu jammy-security/universe i386 Packages [599 kB]                                                                                                                                                                                     
Get:12 http://security.ubuntu.com/ubuntu jammy-security/universe amd64 Packages [852 kB]                                                                                                                                                                                     
Fetched 3,703 kB in 10s (367 kB/s)                                                                                                                                                                                                                                           
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
22 packages can be upgraded. Run 'apt list --upgradable' to see them.

$ sudo apt list --upgradable
Listing... Done
bsdextrautils/jammy-updates,jammy-security 2.37.2-4ubuntu3.4 amd64 [upgradable from: 2.37.2-4ubuntu3.3]
bsdutils/jammy-updates,jammy-security 1:2.37.2-4ubuntu3.4 amd64 [upgradable from: 1:2.37.2-4ubuntu3.3]
eject/jammy-updates,jammy-security 2.37.2-4ubuntu3.4 amd64 [upgradable from: 2.37.2-4ubuntu3.3]
ethtool/jammy-updates 1:5.16-1ubuntu0.1 amd64 [upgradable from: 1:5.16-1]
fdisk/jammy-updates,jammy-security 2.37.2-4ubuntu3.4 amd64 [upgradable from: 2.37.2-4ubuntu3.3]
firefox/mozilla 124.0.2~build1 amd64 [upgradable from: 124.0.1~build1]
libblkid1/jammy-updates,jammy-security 2.37.2-4ubuntu3.4 amd64 [upgradable from: 2.37.2-4ubuntu3.3]
libfdisk1/jammy-updates,jammy-security 2.37.2-4ubuntu3.4 amd64 [upgradable from: 2.37.2-4ubuntu3.3]
libmount1/jammy-updates,jammy-security 2.37.2-4ubuntu3.4 amd64 [upgradable from: 2.37.2-4ubuntu3.3]
libnspr4/jammy-security 2:4.35-0ubuntu0.22.04.1 amd64 [upgradable from: 2:4.32-3build1]
libnss3-tools/jammy-security 2:3.98-0ubuntu0.22.04.1 amd64 [upgradable from: 2:3.68.2-0ubuntu1.2]
libnss3/jammy-security 2:3.98-0ubuntu0.22.04.1 amd64 [upgradable from: 2:3.68.2-0ubuntu1.2]
libsmartcols1/jammy-updates,jammy-security 2.37.2-4ubuntu3.4 amd64 [upgradable from: 2.37.2-4ubuntu3.3]
libuuid1/jammy-updates,jammy-security 2.37.2-4ubuntu3.4 amd64 [upgradable from: 2.37.2-4ubuntu3.3]
linux-generic/jammy-updates,jammy-security 5.15.0.102.99 amd64 [upgradable from: 5.15.0.101.98]
linux-headers-generic/jammy-updates,jammy-security 5.15.0.102.99 amd64 [upgradable from: 5.15.0.101.98]
linux-image-generic/jammy-updates,jammy-security 5.15.0.102.99 amd64 [upgradable from: 5.15.0.101.98]
mount/jammy-updates,jammy-security 2.37.2-4ubuntu3.4 amd64 [upgradable from: 2.37.2-4ubuntu3.3]
qemu-guest-agent/jammy-updates 1:6.2+dfsg-2ubuntu6.18 amd64 [upgradable from: 1:6.2+dfsg-2ubuntu6.17]
util-linux/jammy-updates,jammy-security 2.37.2-4ubuntu3.4 amd64 [upgradable from: 2.37.2-4ubuntu3.3]
xserver-common/jammy-updates,jammy-updates,jammy-security,jammy-security 2:21.1.4-2ubuntu1.7~22.04.10 all [upgradable from: 2:21.1.4-2ubuntu1.7~22.04.8]
xserver-xorg-core/jammy-updates,jammy-security 2:21.1.4-2ubuntu1.7~22.04.10 amd64 [upgradable from: 2:21.1.4-2ubuntu1.7~22.04.8]

98
Hi,

Thank you zyzio for the help you provided. I have updated the following post that is related to the upgrade from 7.1 to 8.0:

- https://forum.zentyal.org/index.php/topic,35671.msg115819.html#new

Regarding the CPU load, a few questions:

1. Do you have any LOG rules in the firewall? If so, how many and what are their configurations?
2. What ‘domains’ do you have enabled in the Log module?
3. Are you using the domain controller module?
4. Did you analyze the log file /var/log/syslog? You might have lots of entries like ‘zentyal-firewall’ or ‘smbd_audit’.
5. If you run the command htop or htop, what are the processes that are consuming the CPU?

Best regards, Daniel Joven.
99
Hi all,

First of all, thank you for reporting the issues you got during the upgrade. Unfortunately, in the tests we did before releasing the script, we did not encounter those errors. Could you tell me how was installed your Zentyal 7.1 server? I mean:

1. It was installed through the official Zentyal 7.1 ISO?
2. It was upgraded from other versions such as Zentyal 7.0, if so, what was the original version?
3. It was installed in a working Ubuntu Server or Ubuntu Desktop?

At this moment, we are working on fixing the following errors:

1. Mysql log directory (/var/log/mysql/).
2. Missing APT file (/etc/apt/apt.conf.d/20auto-upgrades)

Finally, about the Antivirus issue, do you have any log or something that we can analyze?

Best regards, Daniel Joven.
100
Hi,

Could you run the following commands and send me the results, please?

Code: [Select]

sudo dpkg -l | egrep 'zen(tyal|buntu)-’

sudo apt update

sudo apt list --upgradable


Also, about the error you got, do you have any additional information such as the errors?

Best regards, Daniel Joven.
Pages: 1 ... 8 9 [10]